### Method

# Gcr CertificateExtensionBasicConstraints get_path_len_constraint

#### Declaration [src]

    int
    gcr_certificate_extension_basic_constraints_get_path_len_constraint (
      GcrCertificateExtensionBasicConstraints* self
    )

#### Description [src]

Returns the maximum number of CAs that are allowed in the chain below this certificate.

If this is not set, this method returns -1.

Note that this field doesn’t really make sense if `gcr_certificate_extension_basic_constraints_is_ca()` is false.

#### Return value

Type: `int`

The value of “pathLenConstraint”, or -1 if not set.